---
title: "April 2023 funding report"
date: 2023-04-13T11:32:59+02:00
draft: false
image: "/img/comp-squat.jpg"
imageCredit: "Image from the Outdoor Computing Club collection by Fletcher Bach (are.na/fletcher-bach)."
description: "April 2023 funding report"
---

We’re coming to the end of another funded chunk of work, here’s what happened 🤟

<!--more-->

## What happened?

At the start of 2023, we announced [our next major round of funding](https://coopcloud.tech/blog/new-year-status-update/), this time from a private donor. We would like to thank them, and the [individual contributors on our OpenCollective](https://opencollective.com/coop-cloud#section-contributors), once again, for financially supporting our work and enabling us to push the project forward 💗

## Tooling updates

There’s a new `abra` available and if you haven’t upgraded, [please go ahead](https://docs.coopcloud.tech/abra/upgrade/)! There’s a [migration guide](https://docs.coopcloud.tech/abra/upgrade/#06x-beta-07x-beta) available and the full changelog is [here](https://git.coopcloud.tech/coop-cloud/abra/releases/tag/0.7.0-beta). 

The idea behind the `0.7.x` series of `abra` was to fix several critical bugs and also re-factor - and, in some cases, remove - some of the more unreliable parts of the tool. Some of the main improvements are:

* `abra` has a more stable interaction model with SSH. We’ve seen a dramatic decrease in obscure SSH related errors and hope that will be a thing of the past 😌

* We’ve got the beginnings of machine-readable output! Try running ([with `jq` installed](https://stedolan.github.io/jq/download/)) `abra app ls -m | jq '.[].apps[].appName`. This has enabled such wonders as [`abra.php`](https://social.coop/@coopcloud/110125297575197185)!

* `abra` now continues to work during outages of `git.coopcloud.tech` - removing one dependency on a central point of failure, on the path to eventually [further decentralising the recipe catalogue infrastructure](https://git.coopcloud.tech/coop-cloud/organising/issues/139).

Lastly, we’re also happy to share news of `kadabra`, a server-side companion tool which is available for general alpha-testing (here be dragons!) which has been developed by `@Moritz`, a member of [Local-IT](https://local-it.org). Thank you `@Moritz` and Local-IT!

`kadabra` is about helping perform automatic upgrades of apps in your Co-op Cloud deployment. `abra` now attaches some extra metadata to the deployed app, and `kadabra` can read that and make a decision about whether or not to perform an automated upgrade. It’s all new, and we welcome brave alpha-testers to check it out! 

## The Co-op Cloud Federation bootstrap meeting

We’re delighted to announce that we have finally bootstrapped the federation 🎉 The process is far from over, but the wheels are now officially turning: we had 13 in attendance at the founding meeting, representing 7 collectives.

One of the main goals of the session was to come to agreement on what decision-making protocol to use. Thankfully, this was a success, and we now have a way to collectively make decisions together using consent and consensus. This means that Autonomic has completed the process of decentering itself as a main decision maker of the project and from now, will submit decisions to a vote like any other member of the federation.

We will be publishing all public federation minutes, decisions, plans, etc. [here](https://docs.coopcloud.tech/federation/).

## Finances

We have reached our goals for this current chunk of funded work and we still have funds remaining! This is money which was budgeted to support future administration and pay members for participating in the meetings (yet to be invoiced for). We will be transferring this money to the [Co-op Cloud Open Collective](https://opencollective.com/coop-cloud) once we finish up some remaining finance admin. In this way, we can also start to make collective finances more transparent.

## What’s next?

On the technical side of things, we will continue to identify critical bug fixes and improvements in `abra` and publish new versions. We hope to bring `kadabra` to a stable release soon and expand the collectives who are running the software.

For the federation, there will be more discussions and meetings coming up soon. We aim to continue thinking through how to organise our internal processes, for example, membership guidelines, financial sustainability and prioritisation of development efforts.

## Get Radical with us

We'd love to see more folks [get involved](https://docs.coopcloud.tech/get-involved/) :tada:

If you're thinking about setting up a technology co-op, you have a software stack sitting around waiting for you to pick up now; we have the technology! It's built by tech co-ops for tech co-ops. If you're curious but don't know where to start, [get in touch](https://docs.coopcloud.tech/intro/contact/) anyway!

We have [these amazing flyers](/pdf/flyercoopcloud.pdf) now (massive thanks to `@analuisa`)! Print, distribute, share, spread the word 🎺
