---
title: "This month in Co-op Cloud August 2021"
date: 2021-09-03T11:32:59+02:00
draft: false
image: "/img/growingdesk.jpg"
imageCredit: "Computers with plants growing out of them, from the Internet Gardening collection by Trav Fryer (are.na/trav-fryer)."
description: "Our monthly updates for August 2021"
---

Happy September folks! Time for another recap of what we've been up to.

<!--more-->

### Go, Abra! (`go-abra`)

Our rewrite of `abra`, the Co-op Cloud command-line tool, continues apace: the `server`/`recipe` commands are completed, progress can be seen on [TODO.md](https://git.coopcloud.tech/coop-cloud/go-abra/src/branch/main/TODO.md). We're working on design and usability as we go. The new command-line seems to remove the need to install Docker locally which is a huge win for portability :partly_sunny:

`@roxxers` has set up our own Golang package repositories in [coop-cloud/coopcloud.tech#20](https://git.coopcloud.tech/coop-cloud/coopcloud.tech/issues/20#issuecomment-8201), so we can now do things like `go get coopcloud.tech/abra` for package installations.

`@roxxers` also put together [`abra-git`](https://aur.archlinux.org/packages/abra-git/), an Arch AUR package of `abra` :rainbow:

`@decentral1se` published a Golang library which helps make decisions about the semantic versions of Docker tags. Feel free to check it out over in [`tagcmp`](https://git.coopcloud.tech/coop-cloud/tagcmp), we're using it for `abra`.

## Windows documentation

`@timewarp` has been working on Windows documentation in [`coop-cloud-win-deploy`](https://git.coopcloud.tech/timewarp/coop-cloud-win-deploy)! There is an official release [over here](https://git.coopcloud.tech/timewarp/coop-cloud-win-deploy/releases/tag/0.1).

## Versioning

The machine-readable app index on [apps.coopcloud.tech](https://apps.coopcloud.tech) was down, but now it is back with all the new apps 💪

Meanwhile, [recipes.coopcloud.tech](https://recipes.coopcloud.tech) got some shiny new updates, including being able to filter the app list by score and name. Adding filtering has highlighted the amazing performance of [Elm](https://elm-lang.org) apps, giving near-instant feedback in a way that seems strange and refreshing in this age of every-button-click-usually-fires-off-20-HTTP-requests-and-1,000-DOM-changes. Still remains to be seen if it's a good long-term choice.

## New apps

- [`ghost`](https://git.coopcloud.tech/coop-cloud/ghost), blogging/website platform, by `@3wc`
- [`mumble`](http://git.coopcloud.tech/coop-cloud/mumble) voice chat, by `@3wc`
- [`botamusique`](https://git.coopcloud.tech/coop-cloud/botamusique), Mumble music bot, by `@3wc`
- [`calendso`](https://git.coopcloud.tech/coop-cloud/calendso), appointment bookings service, by `@3wc`
- [`firefly-iii`](https://git.coopcloud.tech/coop-cloud/firefly-iii), personal finance manager, by `@knoflook`
- [`mobilizon`](https://git.coopcloud.tech/coop-cloud/mobilizon), decentralised events platform, by `@3wc`
- [`laplace`](https://git.coopcloud.tech/coop-cloud/laplace), WebRTC screensharing, by `@3wc`

If you've got ideas for other apps you'd like to see packaged, feel free to add them straight to the [app packaging request list on git.coopcloud.tech](https://git.coopcloud.tech/coop-cloud/apps/projects/6) (remember, you can log in directly with either Gitlab or Github).

## Community contributions

As well as the bits already mentioned, amazing contributions from individuals are still rolling in, including:

- [`abra app remove`](https://git.coopcloud.tech/coop-cloud/go-abra/pulls/43) and [`abra app volume ls/rm`](https://git.coopcloud.tech/coop-cloud/go-abra/pulls/51) by `@knoflook`
- [Prometheus monitoring support in `coop-cloud/traefik`](https://git.coopcloud.tech/coop-cloud/traefik/pulls/28) by `@mirsal`

## Co-op Cloud in the wild

Wiki.cafe, a new project to explore a coöperatively-run [Federated Wiki](http://federated.wiki/view/welcome-visitors) hosting and training collective, is running all its infrastructure, including Discourse, Nextcloud, Keycloak, and Federated Wiki itself, using Co-op Cloud. Watch this space!

We've been talking to our comrades at [Social.coop](https://social.coop), who are hosting [our Co-op Cloud fediverse presence](https://social.coop/@coopcloud), about helping simplify their infrastructure with Co-op Cloud as well: they're running a lot and doing awesome work with a small, volunteer team – exactly the kind of folks we want to support.

We've spoken to the developers of Penpot via their Gitter chat (also on Matrix 🤯); it's great to be building links with more of the upstream projects we're packaging.

[Threndol Tutoring](https://threndoltutoring.com), academic support in South Africa for "students who have learning obstacles such as ADHD, dyslexia, executive function deficits and confidence struggles", is using an instance of [the Co-op Cloud Calendso package](https://git.coopcloud.tech/coop-cloud/calendso) to manage student bookings. As well as helping test Calendso, which could turn out to be a useful tool to recommend to a lot of organisations, it's great to be helping save funds which would otherwise be going to the $3B revenue, [venture-capital-funded Calendly](https://techcrunch.com/2021/01/26/how-atlantas-calendly-turned-a-scheduling-nightmare-into-a-3b-startup/). $8/month for Software as a Service is a lot in a place where the minimum wage is $1.50/hour...

Lastly, we've got a new [Co-op Cloud Community Organising](https://matrix.to/#/#coopcloud-comm-org:autonomic.zone) Matrix channel to discuss alliances, collaborations, and links with other groups. We joined the #selfhosted room on Matrix already, to keep another ear on the ground with the self-hosting landscape; swing by and let us know if there are any other communities you think we should be talking to 🙏

---

If any of this sounds interesting, please drop by [our Matrix space](https://app.element.io/#/room/!xSMwGbdVehScXcIFwS:autonomic.zone?via=autonomic.zone) and say hello :wave:. We'd love to hear from you and to have a chat about what you think of the project and how it might be useful for you :heartpulse: You can also follow the project on [Twitter](https://twitter.com/Coop_Cloud) and/or [the Fediverse](https://social.coop/@coopcloud).
