---
title: "This month in Co-op Cloud July 2021"
date: 2021-07-29T13:17:04+05:00
draft: false
image: "/img/wired.jpg"
imageCredit: "A computer in a garden from the Internet Gardening collection by Trav Fryer (are.na/trav-fryer)."
description: "Our monthly updates for July 2021"
---

It's been a hell of a month and a lot has happened. Here comes the full laundry list for our monthly overview of the goings-on in the world of Co-op Cloud this July. Grab a beverage and soak up the news.

<!--more-->

### The beta bikemap

As part of our [Culture of Solidarity](https://culturalfoundation.eu/initiatives/culture-of-solidarity-fund) grant funding we are aiming to release a public beta of the Co-op Cloud, November 2022. In order to understand what a beta release means, we spent some time thrashing out a document we're calling [the beta bikemap](https://pad.autonomic.zone/s/C3uuqfSCk). This page lists all our aims for the beta release, and lays out why we think they are important and how they fit into a more stable and useful release of the project.

### Porting `abra` from Bash to Golang

We finally decided to take the plunge this month and explore reimplementation of our command-line tool [`abra`](https://git.coopcloud). This discussion came up as we were running into more and more implementation difficulties around file format parsing and command-line input handling. We wrote `abra` in Bash when we had little to no funding and were still experimenting heavily with the design of the interface. It has served us well!

After some back & forth we went with the [Go programming language](https://golang.org) because it helps us overcome the above limitations, and supports cross-platform portability without much fuss. We've added this [to our beta bikemap](https://pad.autonomic.zone/s/C3uuqfSCk#Command-line-tool-sustainability) and are hacking over in the [`go-abra`](https://git.coopcloud.tech/coop-cloud/go-abra) repository. All Golang hackers are welcome to join in :nerd:

This does mean that we're freezing the Bash implementation of [`abra`](https://git.coopcloud.tech/coop-cloud/abra) and will not be implementing any new features. We will offer support, bug fixes and keep using it for the months to come until `go-abra` is ready for use: we [just released version 10.0.1](https://git.coopcloud.tech/coop-cloud/abra/tags) to squash a small but important bug. We will update the `abra` `README.md` and relevant [docs.coopcloud.tech](https://docs.coopcloud.tech) references shortly.

### Migrating to git.coopcloud.tech

As part of trying to make it easy to contribute to the project, we've migrated the Co-op Cloud code repositories and issues trackers from [git.autonomic.zone](https://git.autonomic.zone) over to a dedicated Gitea instance over in [git.coopcloud.tech](https://git.coopcloud.tech). You can log in there right now with Github or Gitlab, and we'll be opening self-registration for separate accounts soon (in the mean-time [e-mail us](mailto:helo@coopcloud.tech) if you'd like an account). There are still a few things left to do (see [coop-cloud/organising#108](https://git.coopcloud.tech/coop-cloud/organising/issues/108) for more) but it is stable and we're using it to run the project right now. We will maintain our [Github mirrors](https://github.com/coop-cloud) for `$reasons` of visibility; the issue trackers are closed on those repositories, to avoid duplicated effort.

### New social accounts

In case you missed it, we're on [the Fediverse](https://social.coop/@coopcloud) and [Twitter](https://twitter.com/Coop_Cloud) if you want to follow along. A big thanks to [social.coop](https://wiki.social.coop/home.html) for having us on the fedi and we're happy to be supporting community owned and run social media infrastructure. You can find us lurking in the public Social.coop Matrix room `#SocialCoop:matrix.org` if you're up for a chat.

### Matrix spaces and real-time chat chaos

We're making use of the [Matrix spaces beta](https://matrix.org/blog/2021/05/17/the-matrix-space-beta) to organise our digital real-time chat space. We have the current breakdown of rooms:

- `#coopcloud:autonomic.zone`: general chat room (low traffic)
- `#coopcloud-tech:autonomic.zone`: technical chat (quite verbose)
- `#coopcloud-dev:autonomic.zone`: developer focus chat (very verbose)
- `#coopcloud-/dev/null:autonomic.zone` off-topic whatever goes (very very verbose)

All are welcome to join our chat rooms! We moderate theses spaces and politely ask folks to switch over to different rooms when discussions don't match the room topic. It's been working nicely for us so far.

### New infrastructure running on Co-op Cloud

We're delighted to see individuals and other tech collectives starting to deploy services based on our digital configuration commons :rainbow:

- [tube.arthack.nz](https://tube.arthack.nz/) ([@ahdinosaur](https://dinosaur.is/))
- [butt.nz](https://butt.nz/) ([@ahdinosaur](https://dinosaur.is/))
- [yolo.servers.coop](https://yolo.servers.coop/) ([Servers.coop](https://servers.coop))
- [social.centreforthestudyof.net](https://social.centreforthestudyof.net/about) ([Autonomic Co-op](https://autonomic.zone/))
- [pad.cloud.nicksellen.co.uk](https://pad.cloud.nicksellen.co.uk/) ([@nicksellen](https://nicksellen.co.uk/))

### Newly packaged apps

We have new apps packaged this month :rocket: :nerd: :computer:

- [federatedwiki](https://git.autonomic.zone/coop-cloud/federatedwiki): Share pages circulating within a creative commons ([@3wc](https://git.coopcloud.tech/3wc))
- [monitoring](https://git.coopcloud.tech/coop-cloud/monitoring): A server and application monitoring stack based on Prometheus, Loki and Grafana. ([@mirsal](https://git.coopcloud.tech/mirsal))
- [custom-php](https://git.autonomic.zone/coop-cloud/custom-php): Coöp Cloud + PHP + MariaDB (optional) + Nginx = 🥳 ([@Mayel](https://git.coopcloud.tech/mayel))
- [discourse](https://git.autonomic.zone/coop-cloud/discourse): A platform for community discussion ([@3wc](https://git.coopcloud.tech/3wc))
- [capsul-flask](https://git.coopcloud.tech/coop-cloud/capsul): Simple, fast, private compute (from the wonderful [cyberia.club](https://cyberia.club)) ([@3wc](https://git.coopcloud.tech/3wc))

We've also opened up the [coop-cloud/apps](https://git.coopcloud.tech/coop-cloud/apps/issues) issue tracker to allow people to submit packaging requests. Feel welcome to add your request there and get in touch with someone willing to package it. We've seen best results when folks are willing to test out what is packaged and deployed so that bugs and configuration issues can be ironed out.

### Community contributions

We're relieved to say that we've finished our financial groundwork and have wired up an [Open Collective](https://opencollective.com/coop-cloud) account for the project, which has cash ready to be handed out for work! We've written contribution documentation with a specific focus on how to get paid for contributions, you can read that [over here](https://docs.coopcloud.tech/contribute/#compensation-for-contributions).

We've begun paying out expenses on the OC account this month which you can see [listed here](https://opencollective.com/coop-cloud/expenses). The money being made available here is the money that we received as [Autonomic](https://autonomic.zone) via the [ECF](https://culturalfoundation.eu/initiatives/culture-of-solidarity-fund) as grant funding to get the Co-op Cloud public beta release out. We want to decenter our role as sole receiver of this funding and make it available to those who want to contribute to the project. We think it is going well so far.

We've been working to open up the project and on-board folks who want to hack the planet with us! This month, we've merged another round of community changes:

- [coop-cloud/abra#195 by `@knoflook`](https://git.coopcloud.tech/coop-cloud/abra/pulls/195)
- [coop-cloud/docs.coopcloud.tech#2 by `@mayel`](https://github.com/Coop-Cloud/docs.coopcloud.tech/pull/2)
- [coop-cloud/go-abra#1 by `@knoflook`](https://git.coopcloud.tech/coop-cloud/go-abra/pulls/1)
- [coop-cloud/peertube#9 by `@mirsal`](https://git.coopcloud.tech/coop-cloud/peertube/pulls/9)
- [coop-cloud/peertube#10 by `@mirsal`](https://git.coopcloud.tech/coop-cloud/peertube/pulls/10)
- [coop-cloud/abra#207 by `@nicksellen`](https://git.coopcloud.tech/coop-cloud/abra/pulls/207)
- [coop-cloud/codimd#7 by `@nicksellen`](https://git.coopcloud.tech/coop-cloud/codimd/pulls/7)

### One click install to autonomy?

[One click install to autonomy? Screen Walk with Aymeric Mansoux and Roel Roscam Abbing](https://tv.lumbung.space/videos/watch/3d4b023b-b390-41d5-bfab-5ef7e50aad3e) is a talk which features some Co-op Cloud shout-outs and exciting perspectives and discussion on building and maintaining self-managed digital spaces. The abstract is as follows:

> How can art and culture offer online spaces outside of corporate platforms and infrastructures, and what does it involve? Aymeric Mansoux and Roel Roscam Abbing will take the audience through the challenges and opportunities of self-managed cooperative online services and networked infrastructures where images take up most of their traffic. Showcasing different online platforms and tools, the artist will present alternative, open and collaborative possibilities. The Screen Walk will offer practitioners and institutions ways to reclaim autonomy free from data colonialism and networked economic systems.

It is worth a watch! What is also nice is that the Peertube instance (e.g. [tv.lumbung.space](https://tv.lumbung.space)), where this video of the event is hosted, is also running on Co-op Cloud configs :heart_eyes: The video stream was managed by our friends [Meet.coop](https://www.meet.coop/) :rocket:

### Servers.coop: co-op owned and run servers

One troubling aspect of all this talk about running our own infrastructure is the question that continues to arise: where do we get our servers from? Typically, many of us are still going to corporate providers such as Hetzner, AWS, Microsoft, Digital Ocean, Linode, etc. who offer cheap prices and slick automation for VPS provisioning, billing and support.

The broad promise of the idea of Co-op Cloud is the idea of growing the "Co-op stack", in which more and more layers of the digital infrastructure we rely on are owned by the ones who rely on it. In order to achieve this beyond the application automation layer where Co-op Cloud is operating, we need to build capacity to own, manage, maintain our own server infrastructure. It is just getting off the ground but with our [Autonomic](https://autonomic.zone) hats on, we're helping kick off [Servers.coop](https://servers.coop) for another co-operative alternative!

We're aiming to support Servers.coop as a first-class citizen in our command-line tool `abra`. It will be possible to sign up for an account, generate an account token and then use `abra` to fire up virtual servers on-demand which you can then deploy Co-op Cloud apps on to. Follow along in [`abra-capsul`](https://git.coopcloud.tech/coop-cloud/abra-capsul/).

More coming soon :tm:

### User-Operated Internet application

`@3wc` and `@knoflook` applied to the [User-Operated Internet Fund](https://nlnet.nl/useroperated) this month, with an application which focused on the idea of implementing a web interface for Co-op Cloud! As described in the abstract:

> This will allow us to accelerate our plans to bring Co-op Cloud to end users, expanding the model from community hosting to self-hosting.

Read the full proposal [here](https://pad.autonomic.zone/s/JVUe0kYj9).

---

If any of this sounds interesting, please drop by [our Matrix space](https://app.element.io/#/room/!xSMwGbdVehScXcIFwS:autonomic.zone?via=autonomic.zone) and say hello :wave:. We'd love to hear from you and to have a chat about what you think of the project and how it might be useful for you :heartpulse: You can also follow the project on [Twitter](https://twitter.com/Coop_Cloud) and/or [the Fediverse](https://social.coop/@coopcloud).
